[jira] [Resolved] (MATH-423) Upgrade all test code to Junit 4

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Resolved] (MATH-423) Upgrade all test code to Junit 4

JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/MATH-423?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Luc Maisonobe resolved MATH-423.
--------------------------------

    Resolution: Fixed

Solved in subversion repository as of r1085954.

Note that now the unit test need at least Junit 4.5 to run (due to the custom test runner implementing the retry policy for some tests). Current version of Junit is 4.8.2.


> Upgrade all test code to Junit 4
> --------------------------------
>
>                 Key: MATH-423
>                 URL: https://issues.apache.org/jira/browse/MATH-423
>             Project: Commons Math
>          Issue Type: Task
>            Reporter: Gilles
>            Priority: Minor
>             Fix For: 3.0
>
>
> Make all tests use the JUnit 4 annotation-based syntax.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira